> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a purchase orders

> Complete a purchase orders

### Path parameters

<ParamField path="id" type="string" required>
  Purchase order ID
</ParamField>

### Responses

<ResponseField name="200" type="PurchaseOrderResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/purchase-orders/{id}/complete' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "approved_by": null,
    "created_at": "string",
    "currency": "string",
    "discount_amount": "string",
    "id": "string",
    "items": [
      {
        "created_at": "string",
        "id": "string",
        "line_total": "string",
        "name": "string",
        "product_id": null,
        "purchase_order_id": "string",
        "quantity_ordered": "string",
        "quantity_received": "string",
        "sku": "string",
        "supplier_sku": null,
        "unit_cost": "string"
      }
    ],
    "payment_terms": "string",
    "po_number": "string",
    "shipping_cost": "string",
    "status": "string",
    "subtotal": "string",
    "supplier_id": "string",
    "supplier_reference": null,
    "tax_amount": "string",
    "total": "string"
  }
  ```
</ResponseExample>
